import GameLogic
import socket
import OSC

# Get controller and owner
controller = GameLogic.getCurrentController()
owner = controller.owner

# Set init
ip = '127.0.0.1'
data_2 = 0


# Connect Blender on socket 2
if not owner['connected_2']:
    owner['connected_2'] = True
    print("Blender Connected on 2")

    GameLogic.socket_2 = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    GameLogic.socket_2.bind((ip, 4951))
    GameLogic.socket_2.setblocking(0)
    GameLogic.socket_2.settimeout(0.005)

    # Set Buffer size
    # GameLogic.socket_2.setsockopt(level, optname, value)
    GameLogic.socket_2.setsockopt(socket.SOL_SOCKET, socket.SO_RCVBUF, 1024)


# If Blender connected
else:
    # If Blender connected on 2, get wii hand
    try:
        port = 4951
        data_2, port = GameLogic.socket_2.recvfrom(1024)

        handWii = OSC.decodeOSC(data_2)
        GameLogic.handWii = handWii
        #print(handWii)

    except socket.error:
        pass

